Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Friends | List of all members
OdeBallJoint Class Reference
Inheritance diagram for OdeBallJoint:

## Public Member Functions
| OdeBallJoint (dJointID id)
| OdeBallJoint (OdeWorld &world)
| OdeBallJoint (OdeWorld &world, OdeJointGroup &joint_group)
virtual TypeHandle | force_init_type ()
LVecBase3f | get_anchor () const
LVecBase3f | get_anchor2 () const
virtual TypeHandle | get_type () const
void | set_anchor (const LVecBase3f &anchor)
void | set_anchor (dReal x, dReal y, dReal z)
void | set_anchor2 (const LVecBase3f &anchor)
void | set_anchor2 (dReal x, dReal y, dReal z)
Public Member Functions inherited from OdeJoint
| OdeJoint (dJointID id)
void | attach_bodies (const OdeBody &body1, const OdeBody &body2)
| Attaches two OdeBody objects to this joint.
void | attach_body (const OdeBody &body, int index)
| Attaches a single OdeBody to this joint at the specified index (0 or 1).
int | compare_to (const OdeJoint &other) const
OdeAMotorJoint | convert_to_a_motor () const
OdeBallJoint | convert_to_ball () const
OdeContactJoint | convert_to_contact () const
OdeFixedJoint | convert_to_fixed () const
OdeHingeJoint | convert_to_hinge () const
OdeHinge2Joint | convert_to_hinge2 () const
OdeLMotorJoint | convert_to_l_motor () const
OdeNullJoint | convert_to_null () const
OdePlane2dJoint | convert_to_plane2d () const
OdeSliderJoint | convert_to_slider () const
OdeUniversalJoint | convert_to_universal () const
void | destroy ()
void | detach ()
OdeBody | get_body (int index) const
OdeJointFeedback * | get_feedback ()
dJointID | get_id () const
| Returns the underlying dJointID.
int | get_joint_type () const
bool | is_empty () const
| Returns true if the ID is 0, meaning the OdeJoint does not point to a valid joint.
| operator bool () const
bool | operator== (const OdeJoint &other) const
void | set_feedback (bool flag=true)
void | set_feedback (OdeJointFeedback *)
virtual void | write (std::ostream &out=std::cout, unsigned int indent=0) const
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from OdeJoint
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Friends
class | OdeJoint

## Additional Inherited Members
Public Types inherited from OdeJoint
enum | JointType { JT_none = 0 , JT_ball , JT_hinge , JT_slider , JT_contact , JT_universal , JT_hinge2 , JT_fixed , JT_null , JT_a_motor , JT_l_motor , JT_plane2d }
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

Definition at line 29 of file odeBallJoint.h.

## Constructor & Destructor Documentation

## ◆ OdeBallJoint() [1/3]

OdeBallJoint::OdeBallJoint | ( | dJointID | id | ) |

Definition at line 19 of file odeBallJoint.cxx.

## ◆ OdeBallJoint() [2/3]

OdeBallJoint::OdeBallJoint | ( | OdeWorld & | world | ) |

Definition at line 24 of file odeBallJoint.cxx.

## ◆ OdeBallJoint() [3/3]

OdeBallJoint::OdeBallJoint | ( | OdeWorld & | world,
|  | OdeJointGroup & | joint_group )

Definition at line 29 of file odeBallJoint.cxx.

## ◆ ~OdeBallJoint()

OdeBallJoint::~OdeBallJoint | ( |  | ) |
| virtual

Definition at line 34 of file odeBallJoint.cxx.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle OdeBallJoint::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from OdeJoint.

Definition at line 60 of file odeBallJoint.h.

## ◆ get_anchor()

LVecBase3f OdeBallJoint::get_anchor | ( |  | ) | const
| inline

Definition at line 34 of file odeBallJoint.I.

## ◆ get_anchor2()

LVecBase3f OdeBallJoint::get_anchor2 | ( |  | ) | const
| inline

Definition at line 41 of file odeBallJoint.I.

## ◆ get_class_type()

static TypeHandle OdeBallJoint::get_class_type | ( |  | ) |
| inline static

Definition at line 49 of file odeBallJoint.h.

## ◆ get_type()

virtual TypeHandle OdeBallJoint::get_type | ( |  | ) | const
| inline virtual

Reimplemented from OdeJoint.

Definition at line 57 of file odeBallJoint.h.

## ◆ init_type()

static void OdeBallJoint::init_type | ( |  | ) |
| inline static

Definition at line 52 of file odeBallJoint.h.

## ◆ set_anchor() [1/2]

void OdeBallJoint::set_anchor | ( | const LVecBase3f & | anchor | ) |
| inline

Definition at line 19 of file odeBallJoint.I.

## ◆ set_anchor() [2/2]

void OdeBallJoint::set_anchor | ( | dReal | x,
|  | dReal | y,
|  | dReal | z )
| inline

Definition at line 14 of file odeBallJoint.I.

## ◆ set_anchor2() [1/2]

void OdeBallJoint::set_anchor2 | ( | const LVecBase3f & | anchor | ) |
| inline

Definition at line 29 of file odeBallJoint.I.

## ◆ set_anchor2() [2/2]

void OdeBallJoint::set_anchor2 | ( | dReal | x,
|  | dReal | y,
|  | dReal | z )
| inline

Definition at line 24 of file odeBallJoint.I.

## Friends And Related Symbol Documentation

## ◆ OdeJoint

friend class OdeJoint
| friend

Definition at line 30 of file odeBallJoint.h.

The documentation for this class was generated from the following files:

- panda/src/ode/odeBallJoint.h
- panda/src/ode/odeBallJoint.cxx
- panda/src/ode/odeBallJoint.I